﻿@model DonationViewModel
@Html.HiddenFor(model => model.HasCompleteEntry)

<div class="form-group pull-left">
    <div class="checkbox">
        @Html.CheckBoxFor(m => m.Checked, new { @class = "iCheck icheck" })
        @Html.LabelFor(c => c.Checked, new {id="chbDonationSection" })
            <a class="name-info" data-container="body" rel="popover" data-placement="top" data-content="You can ask your campers to donate money to a cause during registration."></a>
        
    </div>
    <div class="donation form-sec pull-left">
        <div class="pull-left full">
            <label>
                Donation prompt
                <span class="star">*</span>
            </label>
            @Html.TextBoxFor(m => m.Title, new { @placeholder = "e.g. Would you like to make a donation to American Cancer Society?", @class = "input-block-level" })
            @Html.ValidationMessageFor(m => m.Title)
        </div>

    </div>
</div>

<script type="text/javascript">
    var showHideFunction;
    showHideFunction = function showHide(cause, effect) {
        if (jQuery(cause).is(":checked")) {
            jQuery(effect).fadeIn();
        } else {
            jQuery(effect).fadeOut('fast');
        }
    };

    showHideFunction("#Donation_Checked", ".donation");

    jQuery("#Donation_Checked").on('ifChanged', function () {
        showHideFunction("#Donation_Checked", ".donation");
    });

</script>
